{
  // "editor.formatOnSaveMode": "modificationsIfAvailable", // 只格式化修改的部分
  "editor.formatOnSaveMode": "file", // 格式化整个文件
  "[vue]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[jsonc]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[typescript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[less]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "typescript.tsdk": "node_modules/typescript/lib",
  "typescript.preferences.autoImportFileExcludePatterns": ["vue-router/auto$"],
  "i18n-ally.localesPaths": ["src/locales"],
  "i18n-ally.keystyle": "nested",
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": "explicit",
    "source.fixAll.stylelint": "explicit",
    "source.fixAll.oxc": "explicit",
    "source.organizeImports": "never"
  },
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": "never",
    "source.fixAll.stylelint": "never",
    "source.fixAll.oxc": "never",
    "source.organizeImports": "never",
    "source.fixAll": "never"
  },
  "editor.formatOnSave": false,
  "oxc.enable": true,
  "eslint.enable": true
}
